import { StorageAdapterBase } from '../internal';
export declare class LocalAdapter extends StorageAdapterBase {
    root: string;
    /**
     * @internal
     */
    fullRoot: string;
    /**
     * @internal
     */
    readonly type: string;
    constructor(root?: string);
    canRead(): boolean;
    readAsync(corpusPath: string): Promise<string>;
    canWrite(): boolean;
    writeAsync(corpusPath: string, data: string): Promise<void>;
    createAdapterPath(corpusPath: string): string;
    createCorpusPath(adapterPath: string): string;
    computeLastModifiedTimeAsync(corpusPath: string): Promise<Date>;
    fetchAllFilesAsync(folderCorpusPath: string): Promise<string[]>;
    fetchConfig(): string;
    updateConfig(config: string): void;
    private dirExists;
    private ensurePath;
    private _fetchAllFilesAsync;
}
